Bug 123603 - Xorg is crashing when Idle (Matrox DRI ?)
Xorg is crashing when Idle (Matrox DRI ?)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-19 12:20 EDT by Richard Allen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-06 15:32:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Allen 2004-05-19 12:20:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I keep returning to my Laptop after being away from iot for some time
to find the gdm login screen up.

The X log always has:

Fatal server error:
Caught signal 11.  Server aborting

Full log on:  http://www.ra.is/Xorg.0.log.old



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. I just leave X running
    

Additional info:
Comment 1 Richard Allen 2004-05-24 11:40:34 EDT
I think I figured out whats going on.   My machine is a HP NX7010
laptop with a ATI card that is supported in 3D mode in Xorg.  I had
KDE set to use a 3D screensaver, however I had configured Xorg do use
Xinerama when docked at work (head 1 the built in display and head 2
the monitor.).

Xinerama apparently disables GL.

So after I changed screensavers from Euphoria to blank screen I dont
get crashes any more.
Comment 2 Bill Rugolsky, Jr. 2004-05-25 11:17:57 EDT
I'm seeing crashes running 3D screensavers on my Fujitsu Lifebook
S6120 Centrino laptop.  This is with xorg-x11-6.7.0-2 and kernels
kernel-2.6.5-1.358 through kernel-2.6.6-1.383. The relevant part of
lspci looks like:

00:00.0 Host bridge: Intel Corp. 82852/855GM Host Bridge (rev 02)
00:00.1 System peripheral: Intel Corp. 855GM/GME GMCH Memory I/O
Control Registers (rev 02)
00:00.3 System peripheral: Intel Corp. 855GM/GME GMCH Configuration
Process Registers (rev 02)
00:02.0 VGA compatible controller: Intel Corp. 82852/855GM Integrated
Graphics Device (rev 02)

and the kernel log says:
May 25 10:49:41 localhost kernel: [drm] Initialized i830 1.3.2
20021108 on minor 0: 
May 25 10:49:41 localhost kernel: [drm] Initialized i830 1.3.2
20021108 on minor 1: 
May 25 10:49:41 localhost kernel: mtrr: base(0xd8020000) is not
aligned on a size(0x300000) boundary
Comment 3 Robert G. Werner 2004-05-27 00:07:06 EDT
I'm seeing a problem similar to the original report.  However,  I'm
running an Athlon XP 1700 with a Matrox G550 agp card.  Using only one
head.
Several times I've come back to find X has either crashed and bounced
me back to the login screen or is hung running with 100% of the
processor.  A kill -9 on the process is necessary to return me to the
login screen.  Typically the applications that are running are Moz, 
Gaim, and Xscreensaver.  I use DPMS power settings on the monitor.  My
WM is Enlightenment 0.16.6.
Comment 4 Alan Cox 2004-06-18 18:40:10 EDT
Can you try the i586 kernel especially the people with Matrox cards
and report back if this makes it work.
Comment 5 Robert G. Werner 2004-06-19 01:40:32 EDT
I'm using 2.6.7 compiled from source on my box.  I compile it for
Athlon.  I also downloaded the latest Xscreensaver from jwz 4.16 and
built it from source.  After doing this I ceased experiencing this
problem.

My hunch is that the xscreensaver update did the trick.
Comment 6 Mike A. Harris 2004-06-23 03:53:11 EDT
If updating xscreensaver stops the X server or system from crashing,
it wasn't a bug in xscreensaver, but rather a bug in either the
X server (video driver likely) or kernel.  No application should
ever be able to crash the system, and while the code in xscreensaver
could theoretically be found that triggers the problem, it isn't the
cause of the problem.  Working around that in the screensaver, just
potentially leaves faulty code either in the driver or kernel for
something else to eventually trigger.

If you've recompiled the kernel itself and the problem is not
reproduceable anymore, I would assume the root cause is a kernel
bug.  Can you set up your old setup that had the problem, and using
the original xscreensaver, try to reproduce the issue with your
new kernel?  I'm assuming this will also resolve the problem, at
which point this points to a bug in the kernel mga DRM or some other
kernel interaction I believe.  Of course that's not conclusive yet
without more info, but it's a reasonable hypothesis for now.

Thanks in advance,
TTYL
Comment 7 Mike A. Harris 2005-02-07 22:27:34 EST
*** This is an automated comment update ***

The X11 implementation included with Fedora Core 2 and 3, is "X.Org X11"
provided by the X.Org project located at "http://www.x.org".  XFree86 is no
longer included in Fedora Core.  To ensure faster review and investigation
of X related Fedora Core bug reports, please be sure to file the bug against
the correct component of "xorg-x11" in the future.  Thanks in advance.

Reassigning several bugs from XFree86 component to proper xorg-x11
component ...
Comment 8 Mike A. Harris 2005-03-06 15:32:35 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.